<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
>
<f:layout name="Content"/>
<f:section name="Main">
    <div class="o-cms-content" id="c{data.uid}">
        <f:render partial="Content/Header" arguments="{_all}"/>

        <div class="o-cms-content__body">
            <f:switch expression="{users -> f:count()}">
                <f:case value="1">
                    <ul class="o-gridblock--1column">
                </f:case>
                <f:case value="2">
                    <ul class="o-gridblock--2columns">
                </f:case>
                <f:defaultCase>
                    <ul class="o-gridblock--3columns">
                </f:defaultCase>
            </f:switch>

            <f:for each="{users}" as="user" iteration="userCount">
                <li>
                    <div class="c-teaser   o-media o-media--stacked">
                        <div class="o-media__img o-media__img--fill">
                            <f:if condition="{user.media}">
                                <f:then>
                                    <div class="o-media__imageholder">
                                        <f:image src="{user.media.0.originalFile.publicUrl}"
                                                 title="{user.media.0.properties.title}"
                                                 alt="{user.media.0.properties.alternative}" style="height: auto"/>
                                        <f:render partial="Content/Copyright" arguments="{media: user.media.0}"/>
                                    </div>
                                </f:then>
                                <f:else>
                                    <f:image src="EXT:drk_template2016/Resources/Public/Images/png/placeholder_320x460.png"
                                             alt="Person placeholder" title="Person placeholder" />
                                </f:else>
                            </f:if>
                        </div>

                        <div class="c-teaser__content   o-media__body">
                            <ul class="o-list-bare">
                                <f:if condition="{user.data.title}">
                                    <li>
                                        {user.data.title}
                                    </li>
                                </f:if>

                                <f:if condition="{user.data.first_name}">
                                    <li>
                                        <strong>
                                            {user.data.first_name}
                                            <f:if condition="{user.data.last_name}">
                                                {user.data.last_name}
                                            </f:if>
                                        </strong>
                                    </li>
                                </f:if>

                                <f:if condition="{user.data.telephone}">
                                    <li>
                                        <b>
                                            <f:translate
                                                key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:content_element.contact_person.phone"/>
                                        </b>
                                        <a href="tel:{user.data.telephone}">{user.data.telephone}</a>
                                    </li>
                                </f:if>

                                <f:if condition="{user.data.email}">
                                    <li>
                                        <b>
                                            <f:translate
                                                key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:content_element.contact_person.mail"/>
                                        </b>
                                        <a href="mailto:{user.data.email}">
                                            {user.data.email}
                                        </a>
                                    </li>
                                </f:if>
                            </ul>
                        </div>
                    </div>
                </li>
            </f:for>
            </ul>
        </div>
    </div>
</f:section>
</html>
